Get region by id
OpenAPI Specification
Regions directory (2.0)
2GIS API Support: api@2gis.ru URL: https://docs.2gis.com
Getting information about a region
Displays detailed information about the region by its unique identifier.
query Parameters
| key required | string A unique key of API user. |
| id required | string Region ID.
Conflicts with the |
| branch_id required | string Branch ID.
Conflicts with |
| fields | Array of strings Additional fields to be displayed in the response should be separated by commas. List of available fields:
|
Responses
Response Schema:
required | object Response metadata. |
required | object Main result |
Response samples
- 200
- 400
- 403
- 404
- 408
- 500
Content type
{- "meta": {
- "api_version": "dev",
- "code": 0,
- "issue_date": "string"
}, - "result": {
- "items": [
- {
- "bounds": "POLYGON((83.4457915421126 53.4866943332863,84.0879338133862 53.4866943332863,84.0879338133862 53.1585977185895,83.4457915421126 53.1585977185895,83.4457915421126 53.4866943332863)",
- "code": "nnovgorod",
- "country_code": "st",
- "default_pos": null,
- "domain": "ru",
- "flags": {
- "2gis_reviews": true,
- "ctx_layer": true,
- "flamp": true,
- "gdpr": true,
- "has_net_booklet": true,
- "metro": true,
- "parking_layer": true,
- "pedestrian_routing": true,
- "public_transport": true,
- "road_network": true,
- "traffic": true,
- "truck_graph": true
}, - "id": "123456",
- "locale": "ru_RU",
- "locales": {
- "0": "ru_RU"
}, - "name": "Moscow",
- "name_grammatical_cases": null,
- "online_languages": {
- "available": "string",
- "default_lang": "string"
}, - "satellites": [
- {
- "centroid": "POINT(83.4457915421126 53.4866943332863)",
- "geometry": "POLYGON((83.4457915421126 53.4866943332863,84.0879338133862 53.4866943332863,84.0879338133862 53.1585977185895,83.4457915421126 53.1585977185895,83.4457915421126 53.4866943332863)",
- "id": "123456",
- "name": "Moscow"
}
], - "seo": {
- "description": "string",
- "title": "string"
}, - "settlements": [
- "string"
], - "statistics": null,
- "time_zone": null,
- "tips_languages": {
- "ru": "ru"
}, - "type": "region",
- "uri_aliases": [
- "string"
], - "uri_code": "nnovgorod",
- "zoom_level": {
- "max": 22,
- "min": 22
}
}
], - "total": 1
}
}